# SubmissionMethod

Represents a submission method on SMHW.

## Constructor

#### new SubmissionMethod(client, response)

Instantiate a SubmissionMethod object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/SubmissionMethod.js, line 10

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Source:
  - structures/SubmissionMethod.js, line 16

#### global :Boolean

Whether or not the submission method is global across SMHW.

Type:

- Boolean

Source:
  - structures/SubmissionMethod.js, line 22

#### id :Number

The ID of the submissiom method.

Type:

- Number

Source:
  - structures/SubmissionMethod.js, line 28

#### name :String

The name of the submission method.

Type:

- String

Source:
  - structures/SubmissionMethod.js, line 34

#### third_party_submission :Boolean

Whether or not the submission method involves a third party program or website.

Type:

- Boolean

Source:
  - structures/SubmissionMethod.js, line 40